Subject: Live preview of setting face color

From: scame <[email-masked]>
Date: Sat, 10 Apr 2021 04:37:43 +0000

The other day I changed the color of a face and usually it's an uncomfortable process, because only in the real context together with other colors it shows how well the color works, the small sample text is usually not enough. So it's choosing some some color, changing the face color, going to the real context to see if it's right and repeating until it is.

I wanted some live preview and google found a small code which does this:

https://i.imgur.com/CqpB8gM.gif

[https://reddit.com/r/emacs/comments/ci1j66/live_color_selection_for_faces/](https://old.reddit.com/r/emacs/comments/ci1j66/live_color_selection_for_faces/)

It works, but it occured to me it could be easy to add something like this to the *Colors* buffer
which I can get with M-x list-colors-display.

That buffer does nothing by itself, just show colors, so keys could be bind for it to set face color:

f - read a facename and set its foreground color on the fly as the user moves in the *Colors*buffer as seen on the gif above
b - the same for face background color
c - cancel the live preview and restore the face's colors
s - set the selected colors of face using customize

This kind of interactive color setting where you just move in the Colors buffer and in the other window you can instantly see its effect on a face is much more effective and user friendly than the current color selection for a face.